<div class="limiter">
    <div class="container-login100">
        <div class="wrap-login100">
            <div class="login100-pic js-tilt" data-tilt>
                <img src="../assets/images/Imarain_logo.png" alt="IMG">
            </div>

            <form class="login100-form validate-form" #loginForm="ngForm" (ngSubmit)="onSubmit(loginForm)">
                <div class="alert alert-info mb-2 p-2" role="alert" *ngIf="verifyMsg !== '' ">
                   {{this.verifyMsg}}
                </div>
                <div class="wrap-input100 small-devices-img">
                    <img src="../assets/images/Imarain_logo.png" alt="IMG" class="img-fluid">
                </div>
                <span class="login100-form-title">
                    Login miembros
                </span>
                <div class="wrap-input100 validate-input" data-validate = "Valid email is required: ex@abc.xyz">
                    <input class="input100" type="email" name="email"
                    #email="ngModel"
                    [(ngModel)]="user.email"
                    placeholder="Correo">
                    <span class="focus-input100"></span>
                    <span class="symbol-input100">
                        <i class="fa fa-envelope" aria-hidden="true"></i>
                    </span>
                </div>

                <div class="wrap-input100 validate-input" data-validate = "Password is required">
                    <input class="input100" type="password" name="password"
                    #password="ngModel" [(ngModel)]="user.password" required placeholder="Contraseña">
                    <span class="focus-input100"></span>
                    <span class="symbol-input100">
                        <i class="fa fa-lock" aria-hidden="true"></i>
                    </span>
                    <small *ngIf="errorMsg !== '' " class="invalid-feedback d-block">
                        {{ errorMsg }}
                    </small>
                </div>

                <div class="text-center p-t-12">
                    <a [routerLink] = "" class="txt2" (click)="showPassRecModal()">¿Olvidaste tu contraseña? Recupérala aquí.</a>
                </div>

                <div class="container-login100-form-btn">
                    <button type="submit"  value="Identificae" 
                    [disabled]="loginForm.invalid"
                    class="login100-form-btn">
                        Inicia sesión
                    </button>
                </div>

                <!-- <div class="text-center p-t-12">
                    <span class="txt1">
                        Forgot
                    </span>
                    <a class="txt2" href="#">
                        Username / Password?
                    </a>
                </div> -->

                <div class="text-center p-t-12">
                    <a class="txt2" [routerLink] = "['/registro']">
                        Crea tu cuenta
                        <i class="fa fa-long-arrow-right m-l-5" aria-hidden="true"></i>
                    </a>
                </div>
            </form>
        </div>
    </div>
</div>

<p-dialog header="Recupera tu contraseña" modal="true" [(visible)]="displayPassRecModal" [style]="{width: '30vw'}">
    <div class="wrap-input100 validate-input" data-validate = "Valid email is required: ex@abc.xyz">
        <input class="input100" type="email" name="email"
        #email="ngModel"
        [(ngModel)]="user.email"
        placeholder="Ingresa tu correo electrónico">
        <span class="focus-input100"></span>
        <span class="symbol-input100">
            <i class="fa fa-envelope" aria-hidden="true"></i>
        </span>
    </div>
    <div class="container-login100-form-btn">
        <button type="button" 
        class="login100-form-btn" (click)="passwordRecover()">
           Recuperar contraseña
        </button>
    </div>
</p-dialog>

<p-dialog header="{{modalTitle}}" modal="true" position="bottom-right" [(visible)]="displayConfirmationModal" >
    <div class="wrap-input100 validate-input" data-validate = "Valid email is required: ex@abc.xyz">
       <p class="txt2">{{genericMesagge}}</p>
    </div>
    <div class="container-login100-form-btn">
        <button type="button" 
        class="login100-form-btn" (click)="hideConfirmationModal();" style="{{btnStyle}}">
            <i class="{{icon}}" aria-hidden="true"></i>
        </button>
    </div>
</p-dialog>


<ngx-spinner></ngx-spinner>